GDCM: gdcm::DictPrinter Class Reference

GDCM 3.2.5

Public Member Functions | Protected Member Functions | List of all members
gdcm::DictPrinter Class Reference

DictPrinter class. More...

`#include <gdcmDictPrinter.h>`

Inheritance diagram for gdcm::DictPrinter:
[legend]
Collaboration diagram for gdcm::DictPrinter:
[legend]

## Public Member Functions
| DictPrinter ()
| ~DictPrinter ()=default
void | Print (std::ostream &os)
Public Member Functions inherited from gdcm::Printer
| Printer ()
| ~Printer ()=default
PrintStyles | GetPrintStyle () const
| Get PrintStyle value.
void | Print (std::ostream &os)
| Print.
void | PrintDataSet (const DataSet &ds, std::ostream &os, const std::string &s="")
| Print an individual dataset.
void | SetColor (bool c)
| Set color mode or not.
void | SetFile (File const &f)
| Set file.
void | SetStyle (PrintStyles ps)
| Set PrintStyle value.

## Protected Member Functions
void | PrintDataElement2 (std::ostream &os, const DataSet &ds, const DataElement &ide)
void | PrintDataSet2 (std::ostream &os, const DataSet &ds)
Protected Member Functions inherited from gdcm::Printer
VR | PrintDataElement (std::ostringstream &os, const Dicts &dicts, const DataSet &ds, const DataElement &de, std::ostream &out, std::string const &indent)
void | PrintSQ (const SequenceOfItems *sqi, std::ostream &os, std::string const &indent)

## Additional Inherited Members
Public Types inherited from gdcm::Printer
enum | PrintStyles { VERBOSE_STYLE = 0 , CONDENSED_STYLE , XML , CXX }
Protected Attributes inherited from gdcm::Printer
const File * | F
VL | MaxPrintLength
PrintStyles | PrintStyle

## Detailed Description

DictPrinter class.

## Constructor & Destructor Documentation

## ◆ DictPrinter()

gdcm::DictPrinter::DictPrinter | ( |  | ) |

## ◆ ~DictPrinter()

gdcm::DictPrinter::~DictPrinter | ( |  | ) |
| default

## Member Function Documentation

## ◆ Print()

void gdcm::DictPrinter::Print | ( | std::ostream & | os | ) |

## ◆ PrintDataElement2()

void gdcm::DictPrinter::PrintDataElement2 | ( | std::ostream & | os,
|  | const DataSet & | ds,
|  | const DataElement & | ide )
| protected

## ◆ PrintDataSet2()

void gdcm::DictPrinter::PrintDataSet2 | ( | std::ostream & | os,
|  | const DataSet & | ds )
| protected

The documentation for this class was generated from the following file:

- gdcmDictPrinter.h